#include "UIControl.h"

auto UIControl::setPosition(glm::vec2 pos) -> void {
	*reinterpret_cast<glm::vec2*>((uintptr_t)this + 0x10) = pos;
}

auto UIControl::getName() -> std::string {
	return reinterpret_cast<std::string32*>((uintptr_t)this + 0x20)->c_str();
}

auto UIControl::getChildren() -> std::vector<std::shared_ptr<UIControl>> {
	return *reinterpret_cast<std::vector<std::shared_ptr<UIControl>>*>((uintptr_t)this + 0x90);
}
